Delete Replication Mapping
Delete a configured replication mapping for a vSphere Replication Management Server in a given pairing.
The ID of the pairing between this vSphere Replication server and the remote one.
The ID of the VRMS
The ID of the source object id
The ID of the target object id
Task to monitor the operation progress.
{
"id": "string",
"description": "string",
"description_id": "string",
"entity": "string",
"entity_name": "string",
"status": "string",
"error": {
"message": "string",
"details": "string"
},
"result": {},
"progress": 0,
"queued_time": 0,
"start_time": 0,
"complete_time": 0,
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/vrs/{vr_id}/replication-mappings/{source_object_id}/{target_object_id}